Debian Bug report logs - #350884
manpages-dev: document that msgbuf is only defined when _GNU_SOURCE is defined

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Samuel Thibault <samuel.thibault@ens-lyon.org>

Date: Wed, 1 Feb 2006 10:48:10 UTC

Severity: minor

Tags: fixed-upstream

Found in version manpages-dev/2.17-1

Fixed in versions 2.22-1, manpages/2.23-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#350884; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: document that msgbuf is only defined when _GNU_SOURCE is defined
Date: Wed, 1 Feb 2006 11:43:21 +0100
Package: manpages-dev
Version: 2.17-1
Severity: minor

Hi,

struct msgbuf is only defined in linux/msg.h if __USE_GNU is defined,
i.e. if the programmer has defined _GNU_SOURCE. But the manpage doesn't
document that.

#define _GNU_SOURCE

should be added before

#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/msg.h>

int msgsnd(int msqid, struct msgbuf *msgp, size_t msgsz, int msgflg);

ssize_t  msgrcv(int msqid, struct msgbuf *msgp, size_t msgsz, long msg-
typ, int msgflg);

Regards,
Samuel


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (900, 'testing'), (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)

Versions of packages manpages-dev depends on:
ii  manpages                      2.17-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#350884; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 350884@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Samuel Thibault <samuel.thibault@ens-lyon.org>,350884@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#350884: manpages-dev: document that msgbuf is only defined when _GNU_SOURCE is defined
Date: Thu, 2 Feb 2006 11:48:30 +0100 (MET)
tags 350884 fixed-upstream
thanks

> struct msgbuf is only defined in linux/msg.h if __USE_GNU is defined,
> i.e. if the programmer has defined _GNU_SOURCE. But the manpage doesn't
> document that.
> 
> #define _GNU_SOURCE
> 
> should be added before
> 
> #include <sys/types.h>
> #include <sys/ipc.h>
> #include <sys/msg.h>
> 
> int msgsnd(int msqid, struct msgbuf *msgp, size_t msgsz, int msgflg);
> 
> ssize_t  msgrcv(int msqid, struct msgbuf *msgp, size_t msgsz, long msg-
> typ, int msgflg);

Salut Samuel,

The real problem is that the protypes of msgsnd() and msgrcv()
on this page are incorrect (out of date).  The msgp argument 
should be typed as "void *", and the msgbuf structure should be
more clearly marked to indicate that it is a just template for the
kind of object that msgp might point to.  I have made changes
along these lines, as well as various other fixes, and these 
will appear in upstream man-pages 2.23.

Thanks for your report.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 350884-done@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 203214-done@bugs.debian.org, 306867-done@bugs.debian.org, 348337-done@bugs.debian.org, 350532-done@bugs.debian.org, 350884-done@bugs.debian.org, 351411-done@bugs.debian.org
Subject: fixed in recent uploads of manpages
Date: Wed, 15 Mar 2006 10:15:15 -0500
Version: 2.22-1

These bugs are all reported fixed by the upstream manpages maintainer,
Michael Kerrisk.  For my own convenience, I'm marking them all as
"fixed by upload of 2.22-1", even though some of them are fixed by
earlier uploads.  The bug number, real fixed-in version, and title are
listed below:

 #203214 2.18 missing #include in bind(2)
 #306867 2.18 Please make errno, perror, strerror refer to err(3)
 #348337 2.22 openpty(3) and pty(7) are unclear about whether or not openpty(3) will return a unix98 PTY
 #350532 2.22 ioperm manpage incorrectly titled IOPERN

Justin



Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Samuel Thibault <samuel.thibault@ens-lyon.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 350884-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 350884-close@bugs.debian.org
Subject: Bug#350884: fixed in manpages 2.23-1
Date: Sun, 02 Apr 2006 08:32:19 -0700
Source: manpages
Source-Version: 2.23-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.23-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.23-1_all.deb
manpages_2.23-1.diff.gz
  to pool/main/m/manpages/manpages_2.23-1.diff.gz
manpages_2.23-1.dsc
  to pool/main/m/manpages/manpages_2.23-1.dsc
manpages_2.23-1_all.deb
  to pool/main/m/manpages/manpages_2.23-1_all.deb
manpages_2.23.orig.tar.gz
  to pool/main/m/manpages/manpages_2.23.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 350884@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  2 Apr 2006 16:47:36 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.23-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 342173 350884 351831 351831 351873
Changes: 
 manpages (2.23-1) unstable; urgency=low
 .
   * New upstream version
     . Improvements to msgop(2) (closes: Bug#350884)
     . Added SEE ALSO for pread(2) (closes: Bug#351873)
     . Added SEE ALSO refs for nl_langinfo.3 in localeconf(3) (closes: Bug#351831)
     . Added SEE ALSO refs for nl_langinfo.3 in setlocale(3) (closes: Bug#351831)
     . Add text describing characters 001 to 037 in ascii(7) (closes: 342173)
Files: 
 769b0117a1c373513913ea2c6579d753 586 doc - manpages_2.23-1.dsc
 34a99272acc469c3282e20d07af4869b 1104320 doc - manpages_2.23.orig.tar.gz
 8c098d9af211f02c4dfdb05b1492759e 54947 doc - manpages_2.23-1.diff.gz
 ed5d5a156c0e4b0ba4185740155e4161 424358 doc important manpages_2.23-1_all.deb
 1660a5b8d9f9e43dbdf3e9ce2c56390b 1136918 doc standard manpages-dev_2.23-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFEL+yfW5ql+IAeqTIRAgdZAJ4kfOv+SLscoRa5Uwk9IPcH5WB0fQCfRrRt
fjMqmxmUt0WJGBaM5m8x+xE=
=jrh+
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 20:43:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:28:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.